UPDATE-READER.CONF(8)

NAME
update-reader.conf - (re)generate /etc/reader.conf

SYNOPSIS
update-reader.conf [force]

DESCRIPTION
update-reader.conf is a simple tool to manage /etc/reader.conf. The PCSC daemon (pcscd) uses one configuration file for its configuration. This makes it hard for packages to dynamically add information about their own smart card reader drivers. To fix this update-reader.conf has been introduced.

update-reader.conf attempts to fix this by generating the configuration file from separate files which are located in /etc/reader.conf.d. All files in that directory are assembled together to form /etc/reader.conf.

After generation a backup of the old file is put in /etc/reader.conf.old.

FILES
update-reader.conf will ignore files that match the following regular expression:
    *\(\.dpkg-[a-z]*\|~\)$
(ie files with the extension .dpkg-new, .dpkg-orig, .dpkg-dist, .dpkg-old, or whose filename end with a ~).

OPTIONS

force
    update-reader.conf check if the current /etc/reader.conf is a generated file by checking for a special tag on the first line. If this tag is not found generation is aborted. By supplying force as parameter only a warning is printed.

SEE ALSO
pcscd(1)

BUGS
None of course! :)

AUTHOR
This manual page was written by Ludovic Rousseau <ludovic.rousseau@free.fr> for the Debian GNU/Linux system.